Subject: Re: bug#41760: ganv-1.5.4 fails at configure

From: Marius Bakke <[email-masked]>
Date: Wed, 10 Jun 2020 18:55:56 +0200

Bengt Richter <[email-masked]> writes:

> Hi Marius,
>
> On +2020-06-09 20:51:27 +0200, Marius Bakke wrote:
>> Thorsten Wilms <[email-masked]> writes:
>> 
>> > On Mon, 08 Jun 2020 20:12:54 +0200
>> > Marius Bakke <[email-masked]> wrote:
>> >
>> >> ganv was updated to 1.6.0 a while back.  Do you get the same failure
>> >> after a 'guix pull'?
>> >
>> > That was after ‘guix pull’. ‘ganv’ is pulled in via ‘ingen’ here.
>> >
>> > ```
>> > build of /gnu/store/bxz04gap29dxsmjvb3z4hjdid9l1fil7-ganv-1.5.4-1.12f7d6b04.drv failed
>> > View build log at '/var/log/guix/drvs/bx/z04gap29dxsmjvb3z4hjdid9l1fil7-ganv-1.5.4-1.12f7d6b04.drv.bz2'.
>> > substituting /gnu/store/8vgp4lv6k16ffq5zhfsjdqb2mpxa5642-aubio-0.4.9...
>> > |guix package: error: build of `/gnu/store/ahx77sfl5zxgs37vx1g445czp7scrqp1-ingen-0.0.0-2.cc4a4db33.drv' failed
>> > ```
>> 
>> Oh, I see.  Probably the special 'ganv-devel' input of 'ingen' is
>> obsolete with the recent 'ganv' update.  Difficult to tell because there
>> are no comments about it, but I went ahead and removed it in
>
> The name 'ingen' is perhaps a kind of comment? (in Swedish[1] :)
>
> (Svenska) ingen pronomen, (Engelska) no one, none, nobody, nothing, noone

It means the same in Norwegian but I was unable to extract any clues
from it!  Maybe it was a pun on 'ingen kommentar' (no comment).  :-)